/*
 * Copyright (c) 2005 Your Corporation. All Rights Reserved.
 */
package org.activemq.transport.stomp;

public interface Stomp
{
    String NULL = "\u0000";
    Object NEWLINE = "\n";

    public static interface Commands
    {
        String CONNECT = "CONNECT";
        String SEND = "SEND";
        String DISCONNECT = "DISCONNECT";
        String SUBSCRIBE = "SUB";
        String UNSUBSCRIBE = "UNSUB";

        String BEGIN_TRANSACTION = "BEGIN";
        String COMMIT_TRANSACTION = "COMMIT";
        String ABORT_TRANSACTION = "ABORT";
        String BEGIN = "BEGIN";
        String COMMIT = "COMMIT";
        String ABORT = "ABORT";
    }

    public interface Responses
    {
        String CONNECTED = "CONNECTED";
        String ERROR = "ERROR";
        String MESSAGE = "MESSAGE";
        String RECEIPT = "RECEIPT";
    }

    public interface Headers
    {
        String SEPERATOR = ":";
        String RECEIPT_REQUESTED = "receipt";

        public interface Receipt
        {
            String RECEIPT_ID = "receipt-id";
        }

        public interface Unsubscribe
        {
            String DESTINATION = "destination";
        }

        public interface Message
        {
            String DESTINATION = "destination";
        }

        public interface Subscribe
        {
            String DESTINATION = "destination";
            String ACK_MODE = "ack";

            public interface AckModeValues
            {
                String AUTO = "auto";
                String CLIENT = "client";
            }
        }

        public interface Connect
        {
            String LOGIN = "login";
            String PASSCODE = "passcode";
        }

        public interface Error
        {
            String MESSAGE = "message";
        }

        public interface Connected
        {
            String SESSION = "session";
        }

        public interface Send
        {
            String DESTINATION = "destination";
        }
    }
}
