/**
* Test case for the marshalling code for Open Wire Format for ActiveMQMessage
*
*
* NOTE!: This file is autogenerated - do not modify!
*        if you need to make a change, please see the Groovy scripts in the
*        activemq-openwire module
*/

package org.activemq.transport.openwire.io;

import org.activemq.io.impl.AbstractPacketMarshaller;
import org.activemq.message.*;
import org.activemq.message.Packet;
import org.activemq.transport.openwire.PacketMarshallerTestSupport;

/**
 * AUTOGENERATED test case for OpenWire command ActiveMQMessage

 * @version $Revision: 1.1 $
 */
public class ActiveMQMessageMarshallerTest extends PacketMarshallerTestSupport {

    /**
     * @return a newly created marshaller
     */
    protected AbstractPacketMarshaller createMarshaller() {
        return new ActiveMQMessageMarshaller();
    }


    /**
     * configures the packet with some test data
     */
    protected void populatePacket(Packet packet) throws Exception {
        super.populatePacket(packet);
        ActiveMQMessage info = (ActiveMQMessage) packet;

        info.setConsumerNosAsString("1,54");
        info.setJMSMessageID("TestString55");
        info.setJMSTimestamp((long) 56);
        info.setJMSCorrelationID("TestString57");
        info.setJMSReplyTo(new ActiveMQQueue("TEST.FOO.BAR.58"));
        info.setJMSDestination(new ActiveMQQueue("TEST.FOO.BAR.59"));
        info.setJMSDeliveryMode(60);
        info.setJMSRedelivered(true);
        info.setJMSType("TestString62");
        info.setJMSExpiration((long) 63);
        info.setJMSPriority(64);
        info.setProperties(null);
        info.setEntryBrokerName("TestString66");
        info.setEntryClusterName("TestString67");
        info.setJMSClientID("TestString68");
        info.setSequenceNumber((long) 69);
        info.setDeliveryCount(70);
        info.setDispatchedFromDLQ(true);
        info.setMesssageHandle((short) 72);
        info.setExternalMessageId(true);
        info.setProducerKey("TestString74");
        info.setMessagePart(true);
        info.setNumberOfParts((short) 76);
        info.setPartNumber((short) 77);
        info.setParentMessageID("TestString78");
        info.setTransactionIDString("TestString79");
   }

    /**
     * Asserts that the read packet has the correct values
     */
    protected void assertPacketValid(Packet packet) throws Exception {
        super.assertPacketValid(packet);
        ActiveMQMessage info = (ActiveMQMessage) packet;
        
        assertEquals("property ConsumerNosAsString", "1,54", info.getConsumerNosAsString());
        assertEquals("property JMSMessageID", "TestString55", info.getJMSMessageID());
        assertEquals("property JMSTimestamp", (long) 56, info.getJMSTimestamp());
        assertEquals("property JMSCorrelationID", "TestString57", info.getJMSCorrelationID());
        assertEquals("property JMSReplyTo", new ActiveMQQueue("TEST.FOO.BAR.58"), info.getJMSReplyTo());
        assertEquals("property JMSDestination", new ActiveMQQueue("TEST.FOO.BAR.59"), info.getJMSDestination());
        assertEquals("property JMSDeliveryMode", 60, info.getJMSDeliveryMode());
        assertEquals("property JMSRedelivered", true, info.getJMSRedelivered());
        assertEquals("property JMSType", "TestString62", info.getJMSType());
        assertEquals("property JMSExpiration", (long) 63, info.getJMSExpiration());
        assertEquals("property JMSPriority", 64, info.getJMSPriority());
        assertEquals("property Properties", null, info.getProperties());
        assertEquals("property EntryBrokerName", "TestString66", info.getEntryBrokerName());
        assertEquals("property EntryClusterName", "TestString67", info.getEntryClusterName());
        assertEquals("property JMSClientID", "TestString68", info.getJMSClientID());
        assertEquals("property SequenceNumber", (long) 69, info.getSequenceNumber());
        assertEquals("property DeliveryCount", 70, info.getDeliveryCount());
        assertEquals("property DispatchedFromDLQ", true, info.isDispatchedFromDLQ());
        assertEquals("property MesssageHandle", (short) 72, info.getMesssageHandle());
        assertEquals("property ExternalMessageId", true, info.isExternalMessageId());
        assertEquals("property ProducerKey", "TestString74", info.getProducerKey());
        assertEquals("property MessagePart", true, info.isMessagePart());
        assertEquals("property NumberOfParts", (short) 76, info.getNumberOfParts());
        assertEquals("property PartNumber", (short) 77, info.getPartNumber());
        assertEquals("property ParentMessageID", "TestString78", info.getParentMessageID());
        assertEquals("property TransactionIDString", "TestString79", info.getTransactionIDString());
    }
}
