/**
* Test case for the marshalling code for Open Wire Format for ConnectionInfo
*
*
* NOTE!: This file is autogenerated - do not modify!
*        if you need to make a change, please see the Groovy scripts in the
*        activemq-openwire module
*/

package org.activemq.transport.openwire.io;

import org.activemq.io.impl.AbstractPacketMarshaller;
import org.activemq.message.*;
import org.activemq.message.Packet;
import org.activemq.transport.openwire.PacketMarshallerTestSupport;

/**
 * AUTOGENERATED test case for OpenWire command ConnectionInfo

 * @version $Revision: 1.1 $
 */
public class ConnectionInfoMarshallerTest extends PacketMarshallerTestSupport {

    /**
     * @return a newly created marshaller
     */
    protected AbstractPacketMarshaller createMarshaller() {
        return new ConnectionInfoMarshaller();
    }


    /**
     * configures the packet with some test data
     */
    protected void populatePacket(Packet packet) throws Exception {
        super.populatePacket(packet);
        ConnectionInfo info = (ConnectionInfo) packet;

        info.setClientId("TestString88");
        info.setHostName("TestString89");
        info.setPassword("TestString90");
        info.setProperties(null);
        info.setStartTime((long) 92);
        info.setUserName("TestString93");
        info.setStarted(false);
        info.setClosed(true);
        info.setClientVersion("TestString96");
        info.setWireFormatVersion(97);
   }

    /**
     * Asserts that the read packet has the correct values
     */
    protected void assertPacketValid(Packet packet) throws Exception {
        super.assertPacketValid(packet);
        ConnectionInfo info = (ConnectionInfo) packet;
        
        assertEquals("property ClientId", "TestString88", info.getClientId());
        assertEquals("property HostName", "TestString89", info.getHostName());
        assertEquals("property Password", "TestString90", info.getPassword());
        assertEquals("property Properties", null, info.getProperties());
        assertEquals("property StartTime", (long) 92, info.getStartTime());
        assertEquals("property UserName", "TestString93", info.getUserName());
        assertEquals("property Started", false, info.isStarted());
        assertEquals("property Closed", true, info.isClosed());
        assertEquals("property ClientVersion", "TestString96", info.getClientVersion());
        assertEquals("property WireFormatVersion", 97, info.getWireFormatVersion());
    }
}
